Page MenuHomePhabricator

Add the button to access CU logs on the main form page
Closed, ResolvedPublic2 Estimated Story Points

Description

Goal

There is no button to access the Special:Investigate logs on the main form page. We should include the Logs button we added in T247516: CU 2.0: Logging for Special:Investigate - Page links on top right on the main page too.

Acceptance criteria:
  • Add button to go to Logs page from the main form page,
  • Clicking the button leads to the Logs page on the same tab.

Event Timeline

Niharika triaged this task as Medium priority.May 18 2020, 8:17 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2020, 8:17 PM
ARamirez_WMF set the point value for this task to 1.May 20 2020, 3:40 PM
ARamirez_WMF changed the point value for this task from 1 to 2.
Ammarpad claimed this task.Jun 1 2020, 6:18 PM
Ammarpad added a subscriber: Ammarpad.

Clicking the button leads to the Logs page on the same tab.

Does this mean browser tab or the page action tabs?

@Ammarpad It means the same browser tab

Change 602427 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/CheckUser@master] Add navigation button to Log page on the main form

https://gerrit.wikimedia.org/r/602427

Change 602427 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Add navigation button to Log page on the main form

https://gerrit.wikimedia.org/r/602427

dom_walden added a subscriber: dom_walden.

On the main form page, only the "Logs" button appears. Clicking it opens Special:InvestigateLog in the same tab.

In any of the three tabs, there are the two buttons ("New Investigate" and "Logs"). Clicking them opens the respective page in a new tab.

Niharika closed this task as Resolved.Jul 31 2020, 9:43 PM